/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_database_object_cols_v
AS
SELECT a.id, a.column_name
FROM(
  SELECT TABLE_ID ID, COLUMN_NAME
  FROM FND_COLUMNS
  UNION
  SELECT VIEW_ID ID, COLUMN_NAME 
  FROM FND_VIEW_COLUMNS
)a;

BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_DATABASE_OBJECT_COLS_V'
   ,p_description            => 'Applaud Database Object Columns View');
END;
/

COMMIT;
EXIT;

